# Player — Deeplink Parameters

The **Deeplink Parameter** message allows the host app or environment to provide parameters that the player will append to URLs used for social sharing and calendar events.

{% hint style="warning" %}
Please ensure the host app / environment awaits the [App Listen](/developers/guides/player-communication/message-api-reference/app/app-listen.md) message to ensure the LiSA Player is ready to accept visitor related messages.
{% endhint %}

This message is sent by the host app / environment to the LiSA Player.

### Properties

Along with all standard [Message properties](/developers/guides/player-communication/message-api-reference.md#properties), a **Deeplink Parameters** message includes the following additional properties:

<table><thead><tr><th width="239" valign="top">Name</th><th width="162" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>deeplinkParameters</code></td><td valign="top"><pre><code>DeeplinkParameters
</code></pre></td><td valign="top"><p>The <code>deeplinkParameters</code> property is an object containing extra parameters that the player will append to URLs used for social sharing and calendar events.</p><p></p><p>Please refer to <a href="#deeplinkparameters"><code>DeeplinkParameters</code></a> for detailed information.</p></td></tr></tbody></table>

***

### Type Definition

```typescript
interface PlayerDeeplinkParametersMessage extends Omit<
  Message,
  'messageType' | 'recipient'
> {
  deeplinkParameters: DeeplinkParameters;
  messageType: 'lsc:player:deeplink:parameters';
  recipient: 'LiSA';
}
```

***

#### `DeeplinkParameters`

The `DeeplinkParameters` object lets you include custom parameters that the player will append to URLs used for social sharing and calendar events.

{% hint style="warning" %}
**Please note:** Any value of type other than `number` or `string` will be ignored.
{% endhint %}

```typescript
interface DeeplinkParameters {
  [key: string]: number | string;
}
```

### Example

```javascript
window.postMessage({
  messageType: 'lsc:player:deeplink:parameters',
  recipient: 'LiSA',
  sender: 'Sender',
  deeplinkParameters: {
    utm_campaign: 'spring-sale',
    utm_content: 'social-sharing',
    utm_source: 'lisa-social-commerce',
  },
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/player/player-deeplink-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
